notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)

Current status

The server has been repaired, with a new power supply, for $23. I am waiting for lower COVID rates before visiting the datacenter to return it.
non port: databases/postgresql-plruby/Makefile
SVNWeb

Number of commits found: 62

Sat, 7 Sep 2019
[ 19:56 mfechner ] Original commit   Revision:511417
Mark the port as broken for ruby 2.6.

PR:		240165
Approved by:	maintainer timeout.
Sun, 18 Aug 2019
[ 13:23 tobik ] Original commit   Revision:509207
databases/postgresql-plruby: Unbreak build with PostgreSQL 11

============================================================
PostgreSQL 11.4
 is unsupported.  Try plruby-0.4.2.
============================================================
*** Error code 1

239514/2019-07-29_20h41m52s/logs/postgresql-plruby-0.5.7_4.log" REL="NOFOLLOW">http://package18.nyi.freebsd.org/data/120amd64-default-PR239514/2019-07-29_20h41m52s/logs/postgresql-plruby-0.5.7_4.log

While here deprecate it since it seems to have been abandoned in
2010.

PR:		239639
Approved by:	knu (maintainer timeout, 2 weeks)
Fri, 26 Jul 2019
[ 20:46 gerald ] Original commit   Revision:507372(Only the first 10 of 3853 ports in this commit are shown above. View all ports for this commit)
Bump PORTREVISION for ports depending on the canonical version of GCC
as defined in Mk/bsd.default-versions.mk which has moved from GCC 8.3
to GCC 9.1 under most circumstances now after revision 507371.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, everything INDEX-11 shows with a dependency on lang/gcc9 now.

PR:		238330
Wed, 12 Dec 2018
[ 01:35 gerald ] Original commit   Revision:487272(Only the first 10 of 3168 ports in this commit are shown above. View all ports for this commit)
Bump PORTREVISION for ports depending on the canonical version of GCC
defined via Mk/bsd.default-versions.mk which has moved from GCC 7.4 t
GCC 8.2 under most circumstances.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, as a double check, everything INDEX-11 showed depending on lang/gcc7.

PR:		231590
Mon, 18 Jun 2018
[ 03:49 linimon ] Original commit   Revision:472670(Only the first 10 of 43 ports in this commit are shown above. View all ports for this commit)
Mark ports broken on powerpc64, categories d-f.

While here, pet portlint and do some other cleanup.

Approved by:	portmgr (tier-2 blanket)
Sat, 5 May 2018
[ 17:22 sunpoet ] Original commit   Revision:469152
Add LICENSE

Approved by:	portmgr (blanket)
Mon, 12 Jun 2017
[ 10:06 mat ] Original commit   Revision:443420
Update to 0.5.7 and unbreak for ruby 2.2+.

PR:		219632
Submitted by:	mat
Approved by:	maintainer timeout
Fri, 13 Jan 2017
[ 14:44 sunpoet ] Original commit   Revision:431391
Use BROKEN_RUBY

With hat:	ruby
[ 09:52 amdmi3 ] Original commit   Revision:431364
- Remove bogus (in presence of USE_GITHUB) USES=tar*
- Switch to options helpers

Approved by:	portmgr blanket
Tue, 28 Jun 2016
[ 16:32 swills ] Original commit   Revision:417736
databases/postgresql-plruby: remove unneeded USE_RUBY_RDOC

With hat:	ruby@
Wed, 6 May 2015
[ 15:16 mat ] Original commit   Revision:385521(Only the first 10 of 348 ports in this commit are shown above. View all ports for this commit)
Update ports in the [bcd]* categories to not use GH_COMMIT.

With minor cleanups to make things simpler.

With hat:	portmgr
Sponsored by:	Absolight
Sun, 5 Apr 2015
[ 05:55 swills ] Original commit   Revision:383255
databases/postgresql-plruby: mark broken with ruby 2.2

While here, clean up plist a bit
Mon, 25 Aug 2014
[ 18:49 antoine ] Original commit   Revision:366129
Allow ports using ruby extconf to be built as non root

PR:		ports/191313
[ 17:53 crees ] Original commit   Revision:366114(Only the first 10 of 39 ports in this commit are shown above. View all ports for this commit)
Convert pgsql ports to use USES+=pgsql

Reviewed by:	bapt
Tue, 29 Jul 2014
[ 18:41 adamw ] Original commit   Revision:363371(Only the first 10 of 426 ports in this commit are shown above. View all ports for this commit)
Convert a bunch of USE_BZIP2 to USES=tar:bzip2

Approved by:	portmgr (not really, but touches unstaged ports)
Thu, 3 Jul 2014
[ 21:48 adamw ] Original commit   Revision:360463(Only the first 10 of 25 ports in this commit are shown above. View all ports for this commit)
Nuke NOPORTDOCS. While, here, correct a couple offenders who label examples
with PORTDOCS. And, fix a couple WITH_foo invocations.
Mon, 2 Dec 2013
[ 13:41 mat ] Original commit   Revision:335486
Make the port work on postgresql > 8.4.

maintainer timeout.

PR:		ports/184087
Submitted by:	mat
Thu, 10 Oct 2013
[ 18:27 tabthorpe ] Original commit   Revision:330027
- Switch to ruby19

With hat:	portmgr
Fri, 20 Sep 2013
[ 16:13 bapt ] Original commit   Revision:327717(Only the first 10 of 927 ports in this commit are shown above. View all ports for this commit)
Add NO_STAGE all over the place in preparation for the staging support (cat:
databases)
Wed, 13 Jun 2012
[ 08:51 knu ] Original commit 
Avoid fetch during build.

PR:             ports/168969
Submitted by:   swills
Tue, 6 Mar 2012
[ 07:31 crees ] Original commit 
- Set postgresql version 9.0 as default
- Add facility to set minimum/maximum version ranges in WANT_PGSQL_VER
- Remove BROKEN_WITH_PGSQL shim

PR:             ports/165245
Submitted by:   crees (me)
Reviewed by:    exp-runs by pav and erwin
Discussed with: girgen
Mon, 12 Sep 2011
[ 09:51 girgen ] Original commit 
Fix docs not beeing installed
Patch to handle PostgreSQL 9.1
Sat, 2 Jan 2010
[ 05:07 knu ] Original commit 
Fix support for PostgreSQL #.#.##, such as 8.2.15.
Fri, 1 Jan 2010
[ 20:19 knu ] Original commit 
Update to 0.5.4, which now supports PostgreSQL 8.4.
Wed, 27 May 2009
[ 07:29 knu ] Original commit 
Back out the changes on pkg-plist.  Turned out portlint just gave me a
wrong piece of advice.
Tue, 26 May 2009
[ 09:42 knu ] Original commit 
Add a patch to fix a problem that a wrong value is set to "args" when
compiled with Ruby 1.8.7 or later.

PR:             ports/134300
Submitted by:   Peter Much <pmc@citylink.dinoex.sub.org>
Sat, 16 May 2009
[ 07:54 knu ] Original commit 
Update MAINTAINER.
[ 07:53 knu ] Original commit 
Update to 0.5.3.
Sun, 15 Feb 2009
[ 13:30 stas ] Original commit 
- Fix pkg-plist.
- Ensure correct permissions on installed files by using COPYTREE macro
  while I'm here.

Reported by:    pav
Fri, 6 Jun 2008
[ 13:17 edwin ] Original commit (Only the first 10 of 155 ports in this commit are shown above. View all ports for this commit)
Bump portrevision due to upgrade of devel/gettext.

The affected ports are the ones with gettext as a run-dependency
according to ports/INDEX-7 (5007 of them) and the ones with USE_GETTEXT
in Makefile (29 of them).

PR:             ports/124340
Submitted by:   edwin@
Approved by:    portmgr (pav)
Wed, 10 Jan 2007
[ 20:37 miwi ] Original commit 
- Add backup MASTER_SITE

Submitted by:   pointyhat via kris
Wed, 13 Dec 2006
[ 10:45 miwi ] Original commit 
- Update to 0.5.0

PR:             ports/106662
Submitted by:   TAKAHASHI Kaoru <kaoru@kaisei.org>
Fri, 8 Dec 2006
[ 10:59 girgen ] Original commit 
More rubust regex to determine which version of postgresql that is
already installed.

Reported by:    Kostik Belousov
Wed, 23 Nov 2005
[ 18:03 mat ] Original commit 
Update to 0.4.6
To make it work with newly born postgresql 8.1
Fri, 11 Nov 2005
[ 01:18 linimon ] Original commit (Only the first 10 of 286 ports in this commit are shown above. View all ports for this commit)
With portmgr hat on, reset maintainership of knu's ports since he has
been inactive more than 6 months.  We hope to see him back sometime.
Mon, 31 Jan 2005
[ 00:35 girgen ] Original commit (Only the first 10 of 107 ports in this commit are shown above. View all ports for this commit)
Split the postgresql ports into a server and a client part.

All ports depending on postgresql shall use the USE_PGSQL=yes knob
defined in Mk/bsd.ports.mk. Bumping portrevisions where needed.

PR:             75344
Approved by:    portmgr@ (kris), ade & sean (mentors)
Sat, 25 Dec 2004
[ 20:34 knu ] Original commit 
Update to 0.4.3.
Sun, 18 Apr 2004
[ 18:44 knu ] Original commit 
Update to 0.4.2.
Sun, 14 Mar 2004
[ 17:40 knu ] Original commit 
Update to 0.4.1.
Tue, 2 Mar 2004
[ 07:28 knu ] Original commit 
Update to 0.3.9 and unbreak.
Sun, 22 Feb 2004
[ 01:22 kris ] Original commit 
Utilize the EXPIRATION_DATE tag for these ports scheduled for removal.
Mon, 16 Feb 2004
[ 07:29 kris ] Original commit 
BROKEN: Does not compile.  This port will be removed after April 15 if it
is still broken.
Wed, 4 Feb 2004
[ 05:21 marcus ] Original commit (Only the first 10 of 1588 ports in this commit are shown above. View all ports for this commit)
Bump PORTREVISION on all ports that depend on gettext to aid with upgrading.

(Part 2)
Wed, 12 Nov 2003
[ 06:06 knu ] Original commit 
Update to 0.3.8.
Tue, 14 Oct 2003
[ 22:31 knu ] Original commit 
Update to 0.3.6.
Tue, 29 Jul 2003
[ 12:20 knu ] Original commit 
Update to 0.3.5.
Tue, 18 Feb 2003
[ 04:37 knu ] Original commit (Only the first 10 of 44 ports in this commit are shown above. View all ports for this commit)
De-pkg-comment.
Mon, 17 Feb 2003
[ 19:40 knu ] Original commit 
Update to 0.3.3.
Sun, 9 Feb 2003
[ 08:03 knu ] Original commit 
Update to 0.3.2.
Sat, 1 Feb 2003
[ 10:20 knu ] Original commit 
Update to 0.3.1.
Thu, 30 Jan 2003
[ 16:58 knu ] Original commit 
Update to 0.3.0.
Sat, 18 Jan 2003
[ 22:43 seanc ] Original commit 
Bump libpq version and PORTREVISION.
Sat, 4 Jan 2003
[ 03:51 seanc ] Original commit 
Update PostgreSQL PL/Ruby for PostgreSQL 7.3

PR:             ports/45945
Submitted by:   Palle Girgensohn <girgen@pingpong.net>
Wed, 1 Jan 2003
[ 16:21 knu ] Original commit 
Update to 0.2.9.
Sun, 27 Oct 2002
[ 22:52 knu ] Original commit 
Update to 0.2.8.  It seems PostgreSQL 7.3.x is now supported (not
tested by me).
Sun, 6 Oct 2002
[ 21:03 knu ] Original commit (Only the first 10 of 35 ports in this commit are shown above. View all ports for this commit)
Use RUBY_MOD*.
Sat, 15 Jun 2002
[ 17:30 knu ] Original commit 
Update to 0.2.7.
Tue, 19 Feb 2002
[ 10:03 knu ] Original commit 
Support PostgreSQL 7.2 and drop the WITH_OLD_LAYOUT support.    
Sat, 12 Jan 2002
[ 17:52 knu ] Original commit 
Update to 0.2.5.    
Thu, 15 Nov 2001
[ 10:02 knu ] Original commit 
Update to 0.2.4.    
Mon, 17 Sep 2001
[ 18:54 knu ] Original commit (Only the first 10 of 93 ports in this commit are shown above. View all ports for this commit)
Bump the PORTREVISION's of the ports which install architecture   dependent ruby
modules, due to the RUBY_ARCH change I've just   committed.    
Thu, 28 Jun 2001
[ 09:52 knu ] Original commit 
Add postgresql-plruby, PL/Ruby procedural language for the PostgreSQL   database
system.    

Number of commits found: 62